LPCOpen Platform for LPC18XX/43XX microcontrollers: LPC_I2C_T Struct Reference

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
LPC_I2C_T Struct Reference
CHIP: LPC18xx_43xx I2C driver

## Detailed Description

I2C register block structure.

Definition at line 47 of file i2c_common_18xx_43xx.h.

`#include "i2c_common_18xx_43xx.h"`

## Data Fields
__IO uint32_t | CONSET
__I uint32_t | STAT
__IO uint32_t | DAT
__IO uint32_t | ADR0
__IO uint32_t | SCLH
__IO uint32_t | SCLL
__O uint32_t | CONCLR
__IO uint32_t | MMCTRL
__IO uint32_t | ADR1
__IO uint32_t | ADR2
__IO uint32_t | ADR3
__I uint32_t | DATA_BUFFER
__IO uint32_t | MASK [4]

## Field Documentation

__IO uint32_t ADR0

I2C Slave Address Register 0. Contains the 7-bit slave address for operation of the I2C interface in slave mode, and is not used in master mode. The least significant bit determines whether a slave responds to the General Call address.

Definition at line 51 of file i2c_common_18xx_43xx.h.

__IO uint32_t ADR1

I2C Slave Address Register. Contains the 7-bit slave address for operation of the I2C interface in slave mode, and is not used in master mode. The least significant bit determines whether a slave responds to the General Call address.

Definition at line 56 of file i2c_common_18xx_43xx.h.

__IO uint32_t ADR2

I2C Slave Address Register. Contains the 7-bit slave address for operation of the I2C interface in slave mode, and is not used in master mode. The least significant bit determines whether a slave responds to the General Call address.

Definition at line 57 of file i2c_common_18xx_43xx.h.

__IO uint32_t ADR3

I2C Slave Address Register. Contains the 7-bit slave address for operation of the I2C interface in slave mode, and is not used in master mode. The least significant bit determines whether a slave responds to the General Call address.

Definition at line 58 of file i2c_common_18xx_43xx.h.

__O uint32_t CONCLR

I2C Control Clear Register. When a one is written to a bit of this register, the corresponding bit in the I2C control register is cleared. Writing a zero has no effect on the corresponding bit in the I2C control register.

Definition at line 54 of file i2c_common_18xx_43xx.h.

__IO uint32_t CONSET

I2C Control Set Register. When a one is written to a bit of this register, the corresponding bit in the I2C control register is set. Writing a zero has no effect on the corresponding bit in the I2C control register.

Definition at line 48 of file i2c_common_18xx_43xx.h.

__IO uint32_t DAT

I2C Data Register. During master or slave transmit mode, data to be transmitted is written to this register. During master or slave receive mode, data that has been received may be read from this register.

Definition at line 50 of file i2c_common_18xx_43xx.h.

__I uint32_t DATA_BUFFER

Data buffer register. The contents of the 8 MSBs of the DAT shift register will be transferred to the DATA_BUFFER automatically after every nine bits (8 bits of data plus ACK or NACK) has been received on the bus.

Definition at line 59 of file i2c_common_18xx_43xx.h.

__IO uint32_t MASK[4]

I2C Slave address mask register

Definition at line 60 of file i2c_common_18xx_43xx.h.

__IO uint32_t MMCTRL

Monitor mode control register.

Definition at line 55 of file i2c_common_18xx_43xx.h.

__IO uint32_t SCLH

SCH Duty Cycle Register High Half Word. Determines the high time of the I2C clock.

Definition at line 52 of file i2c_common_18xx_43xx.h.

__IO uint32_t SCLL

SCL Duty Cycle Register Low Half Word. Determines the low time of the I2C clock. SCLL and SCLH together determine the clock frequency generated by an I2C master and certain times used in slave mode.

Definition at line 53 of file i2c_common_18xx_43xx.h.

__I uint32_t STAT

I2C Status Register. During I2C operation, this register provides detailed status codes that allow software to determine the next action needed.

Definition at line 49 of file i2c_common_18xx_43xx.h.

The documentation for this struct was generated from the following file:

- C:/w/lpcopen_docs/software/lpc_core/lpc_chip/chip_18xx_43xx/i2c_common_18xx_43xx.h